/*
	TCP Client/Server Queuing Example
	Steve Falkenburg, MacDTS, Apple Computer
	3/11/92
	
	this client/server sample uses MacTCP to implement a simple "greeting" server.  the server
	opens up several listeners on kGreetingPort (1235).  when a client connects, the data entered
	in the greeting dialog is sent to the remote connection, and the connection is closed.
	
	connection management is done through the use of Operating System queues to simplify tracking
	and usage.
*/


#include "const.h"
#include "globals.h"
#include "utils.h"


/* called in response to errors.  we just do a debugstr here */

void DoError(OSErr err)
{
	Str255 errStr;
	
	NumToString(err,errStr);
	DebugStr(errStr);
}